=== debian/changelog ===
gfal2 (2.7.8-2) unstable; urgency=medium

  * Fix kfreebsd and hurd compilation

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 10 Dec 2014 17:35:56 +0100

gfal2 (2.7.8-1) unstable; urgency=medium

  * New upstream release
  * Drop gfal2-bad-string-fmt.patch, gfal2-davix-httpcode.patch,
    gfal2-davix-lseek64.patch and gfal2-gsiftp-session-reuse.patch
    (fixed upstream)
  * Fix segfault in a call to gfal2_set_error (patch from upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 09 Dec 2014 08:27:00 +0100

gfal2 (2.6.8-1) unstable; urgency=medium

  * New upstream release
  * Drop patches gfal2-cthread.patch and gfal2-new-davix-errors.patch
    (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 24 Oct 2014 13:45:36 +0200
